# install-templates

## Purpose

Installs the templates used by Grails during code generation

## Examples

    grails install-templates

## Description

Usage:

    grails install-templates

Fired Events:

- `StatusUpdate` - When the templates are successfully installed

The `install-templates` command will install the set of templates Grails uses for all code generation activities to the `src/templates` directory. The templates installed are as follows:

    src
       templates
           artifacts
    	   scaffolding
    	   war

The `artifacts` directory contains the templates used by the `create-*` commands. The `scaffolding` directory contains templates used by the `generate-*` commands. The `war` directory contains the web.xml template used to generate the deployment descriptor.